Package ch.ntb.usb

# Class Usb_Device

java.lang.Object
ch.ntb.usb.Usb_Device

public class Usb_Device extends Object
Represents an USB device.
An USB device has one device descriptor and it may have multiple configuration descriptors.

## Constructor Summary

Constructors
Constructor
Description
`Usb_Device()`

## Method Summary

Modifier and Type
Method
Description
`Usb_Bus`
`getBus()`
Returns the reference to the bus to which this device is connected.
`Usb_Device`
`getChildren()`
Returns a reference to the first child.
`Usb_Config_Descriptor[]`
`getConfig()`
Returns the USB config descriptors.
`Usb_Device_Descriptor`
`getDescriptor()`
Returns the USB device descriptor.
`byte`
`getDevnum()`
Returns the number assigned to this device.
`String`
`getFilename()`
Returns the systems String representation.
`Usb_Device`
`getNext()`
Returns the pointer to the next device.
`byte`
`getNumChildren()`
Returns the number of children of this device.
`Usb_Device`
`getPrev()`
Returns the pointer to the previous device.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Usb_Device

public Usb_Device()

## Method Details

### getBus

public Usb_Bus getBus()
Returns the reference to the bus to which this device is connected.

Returns:
  the reference to the bus to which this device is connected

### getChildren

public Usb_Device getChildren()
Returns a reference to the first child.

Returns:
  a reference to the first child

### getConfig

public Usb_Config_Descriptor[] getConfig()
Returns the USB config descriptors.

Returns:
  the USB config descriptors

### getDescriptor

public Usb_Device_Descriptor getDescriptor()
Returns the USB device descriptor.

Returns:
  the USB device descriptor

### getDevnum

public byte getDevnum()
Returns the number assigned to this device.

Returns:
  the number assigned to this device

### getFilename

public String getFilename()
Returns the systems String representation.

Returns:
  the systems String representation

### getNext

public Usb_Device getNext()
Returns the pointer to the next device.

Returns:
  the pointer to the next device or null

### getNumChildren

public byte getNumChildren()
Returns the number of children of this device.

Returns:
  the number of children of this device

### getPrev

public Usb_Device getPrev()
Returns the pointer to the previous device.

Returns:
  the pointer to the previous device or null

### toString

public String toString()

Overrides:
  `toString` in class `Object`